|
poziția meniului |
---|
Part -> Sphere |
Ateliere |
Part, Complete |
scurtătură |
Nici unul |
Prezentat în versiune |
- |
A se vedea, de asemenea, |
Part CreatePrimitives |
Description
Descriere
Creează o simplă sferă parametrică, cu parametrii de poziție, unghi1, unghi2, unghi 3 și rază.
A Part Sphere can be truncated at the top and/or bottom by changing its DateAngle1 and/or DateAngle2 properties. It can be turned into a segment of a sphere by changing its DateAngle3 property.
Usage
Cum se folosește
În Atelierul Part click pe iconița sferă . Sfera va fi poziționată la origine (punctul 0,0,0) la crearea. Parametrii unghiului permit realizarea unei porțiuni de sferă în locul unei sfere complete (acestea sunt setate în mod implicit la 360 °).
Example

A Part Sphere object created with the scripting example below is shown here.
Notes
- A Part Sphere can also be created with the
Part Primitives command. With that command you can specify the dimensions and placement at creation time.
Opțiuni
See also: Property editor.
A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Sphere
- DateRadius (
Length
): The radius of the sphere. The default is5mm
. - DateAngle1 (
Angle
): The start angle of the circular arc profile of the sphere. Valid range:-90° <= value <= 90°
. May not be equal to DateAngle2. The default is-90°
. - DateAngle2 (
Angle
): The end angle of the circular arc profile of the sphere. Valid range:-90° <= value <= 90°
. May not be equal to DateAngle1. The default is90°
. If the total angle of the arc profile is smaller than180°
the sphere will be truncated and have a flat face at the top and/or bottom. - DateAngle3 (
Angle
): The total angle of revolution of the sphere. Valid range:0° < value <= 360°
. The default is360°
. If it is smaller than360°
the resulting solid will be a segment of a sphere.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Sphere can be created with the addObject()
method of the document:
sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
- Where
"mySphere"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))
doc.recompute()
Această pagină este preluată de la https://wiki.freecad.org/Part_Sphere